--- old/usr/src/lib/libnisdb/yptol/shim_changepasswd.c	Fri Jul 24 12:28:14 2015
+++ new/usr/src/lib/libnisdb/yptol/shim_changepasswd.c	Fri Jul 24 12:28:14 2015
@@ -19,12 +19,11 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2015 Gary Mills
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * DESCRIPTION: This is the N2L equivalent of changepasswd.c. The traditional
  *		version modifies the NIS source files and then initiates a
@@ -70,6 +69,11 @@
 #include "yptol.h"
 #include "../ldap_util.h"
 
+/*
+ * Undocumented external function in libnsl
+ */
+extern int  getdomainname(char *, int);
+
 /* Constants */
 #define	CRYPTPWSIZE CRYPT_MAXCIPHERTEXTLEN
 #define	STRSIZE 100
@@ -433,7 +437,6 @@
 	char	cmdbuf[BUFSIZ];
 	int	map_name_len = 0;
 	int	index, ans = 0;
-	int	res;
 
 	/* If this is a adjunct list check LDAP had some adjunct info */
 	if ((adjunct_flag) && (!pwd->adjunct)) {
@@ -1054,7 +1057,6 @@
 {
 	char *myself = "get_old_info";
 	struct passwd_entry *old_passwd;
-	char	*p;
 	datum	key, data;
 	suc_code res;
 
